Subject: Re: bug#52931: 27.1; image-size sometimes yields a wrong image size in pixels

From: Markus Triska <[email-masked]>
Date: Wed, 28 Sep 2022 22:09:24 +0200

Eli Zaretskii <[email-masked]> writes:

> What do you think Emacs does when you use relative image file names in
> create-image?

I would hope it does the same thing it does for every other function I
know where relative file names are used: Use the file from the current
working directory, i.e., default-directory. However, as far as I can
tell, create-image is currently unexpectedly not doing this reliably, or
at least not on OSX, even though it seems to do it on your system.